Package org.apache.maven.scm.command.export

## Class ExportScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.export.ExportScmResult

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `ExportScmResultWithRevision`

    public class ExportScmResult
    extends ScmResult

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`ExportScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`ExportScmResult​(java.lang.String commandLine, java.util.List<ScmFile> updatedFiles)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ScmFile>` `getExportedFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExportScmResult

    public ExportScmResult​(java.lang.String commandLine,
                           java.lang.String providerMessage,
                           java.lang.String commandOutput,
                           boolean success)

#### ExportScmResult

    public ExportScmResult​(java.lang.String commandLine,
                           java.util.List<ScmFile> updatedFiles)

### Method Detail

#### getExportedFiles

    public java.util.List<ScmFile> getExportedFiles()